%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define	python_module_name	SCRIBES

Name:		scribes
Version:	0.4
Release:	0.bzr20111117r1032.1%{?dist}
Summary:	A sleek, simple, and powerful text editor for the GNOME desktop
Group:		Applications/Editors
License:	GPLv2+
URL:		http://scribes.sourceforge.net/           

#Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Checkout the master branch from http://repo.or.cz/w/scribes.git
Source0:	%{name}.tar.bz2

Patch0:		%{name}-configure.ac-no-python-depcheck.patch
Patch1:		%{name}-fix-mimeType-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-doc-utils
BuildRequires:	GConf2
BuildRequires:	intltool
BuildRequires:  gnome-common

## pygtk2 depends on gtk2 as a run-time dependency, which in turn depends on
## hicolor-icon-theme; thus the %%_datadir/icons/hicolor directory tree is not
## left orphaned. It [pygtk2] also brings in pygobject2 as a run-time
## dependency for us.
Requires:	dbus-python >= 0.70
Requires:	pygtk2 >= 2.10
Requires:	python >= 2.5
Requires:	gnome-python2-gconf >= 2.12
Requires:	gnome-python2-gnomeprint >= 2.12
Requires:	gnome-python2-gnomevfs >= 2.12
Requires:	gnome-python2-gtksourceview >= 2.12
Requires:	gnome-python2-gtkspell >= 2.12
Requires:	PyXML

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post):	scrollkeeper

Requires(preun):	GConf2

Requires(postun):	scrollkeeper


%description
Scribes is a simple and sleek text editor for the the GNOME desktop. It focuses
on keeping the working environment free from distractions, and providing strong
automation of mundane, repetitive tasks. 

Through this simplicity, Scribes is very powerful. Its many features include:
* A dynamic templating system (called Snippets),
* Automatic completion of indentifiers and bracketing,
* Automatic indentation and file saving,
* Bookmarks,
* Drag-and-drop functionality,
* Full support for Unicode (UTF-8) text (and many other encodings),
* Syntax highlighting for over 30 programming languages,
* Powerful GNOME integration
* Translations into several different languages,
...and more are in development!

You may install the python-psyco package (x86-only) for a boost in startup
speed. Also, you will need to install the Yelp package for Scribes' built-in
help and documentation. 

# MC FIXME AM_PATH_PYTHON([2.5]) ... that's not true, right?

%prep
%setup -q -n %{name}
## Patch out the configure script's call to depcheck.py, since I've ensured
## that the deps are satisfied and the depcheck.py script is happy on its own,
## though fails when run through rpmbuild...
%patch0 -p1 -b .noDeps
%patch1 -p1 -b .fixDesktop

autoreconf -f -i -s 
### ..then recreate the configure script from the new configure.ac file...
#%{__autoconf}
### ..then recreate the root Makefile.in for the configure script to use...
#%{__aclocal}
#%{__automake} Makefile
find . -type f -exec sed -i -e "s/@MKDIR_P@/@mkdir_p@/g" '{}' \;

%build
## Scrollkeeper and GConf schema installations are disabled since they'll be
## handled with the scriptlets.
%configure --disable-scrollkeeper --disable-schema-install --enable-nls
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
desktop-file-install --vendor fedora	\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category=Application	\
	--delete-original	\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -f %{buildroot}/%{_datadir}/%{name}/plugins/*/.__junk

#GCONF mkdir -p %{buildroot}%{_sysconfdir}/gconf/schemas
#GCONF install -p data/scribes.schemas \
#GCONF     %{buildroot}%{_sysconfdir}/gconf/schemas/

%find_lang %{name}


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
: GCONF	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
: GCONF	gconftool-2 --makefile-uninstall-rule \
: GCONF		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
fi


%post
#GCONF export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
#GCONF gconftool-2 --makefile-install-rule \
#GCONF 	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%preun
if [ "$1" -eq 0 ]; then
: GCFONF	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
: GCFONF	gconftool-2 --makefile-uninstall-rule \
: GCFONF		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi


%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CONTRIBUTORS COPYING NEWS README TRANSLATORS TODO
%{python_sitelib}/%{python_module_name}/
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/omf/%{name}/
#GCONF %{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Mon Feb 13 2012 Andrew Wyatt <andrew@fuduntu.org> - 0.4-0.bzr20111117r1032.1
- Built for Fuduntu

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

